Bug 486393 - A program is still running: gnome-power-manager.desktop Not responding
A program is still running: gnome-power-manager.desktop Not responding
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 11:06 EST by Mads Kiilerich
Modified: 2009-04-25 00:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-25 00:02:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2009-02-19 11:06:43 EST
Description of problem:

When trying to log out from a gnome session I get a dialog box saying:

A program is still running:
gnome-power-manager.desktop
Not responding

It might be related to /var/log/messages:
Feb 19 15:56:46 localhost gnome-session[2626]: WARNING: Unable to find desktop file 'gnome-power-manager.desktop': Valid key file could not be found in search dirs
Feb 19 15:56:46 localhost gnome-session[2626]: WARNING: Unable to find desktop file 'gnome-gnome-power-manager.desktop.desktop': Valid key file could not be found in search dirs


Version-Release number of selected component (if applicable):

gnome-power-manager-2.25.91-1.fc11.i386
Comment 1 Thomas Scharler 2009-03-04 06:48:08 EST
The same effect appeared here after an update recently. Re-installation of package gnome-power-manager made the logout message box go away. Still strange is the line in /var/log/messages:
Mar  4 11:51:52 duffy gnome-session[7323]: WARNING: Application 'gnome-power-manager.desktop' failed to register before timeout
Comment 2 Matthias Clasen 2009-04-25 00:02:09 EDT
This was recently fixed in rawhide.

* Tue Apr 21 2009 Richard Hughes  <rhughes@redhat.com> - 2.26.1-1
- Update to 2.26.1
- Fix the low capacity warning to fix rh#489832
- Backport DPMS and IDLETIME fixes from master to fix multiple bugs
- Connect to gnome-session and exit on logout
- Remove upstreamed patches

Note You need to log in before you can comment on or make changes to this bug.